
Core - Bug # 52658

Status: Rejected Priority: Should have
Author: Claus Harup Category: File Abstraction Layer (FAL)
Created: 2013-10-10 Assigned To:
Updated: 2014-03-17 Due date:
TYPO3 Version: 6.1
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: Overriding image does not change the dimensions
Description

When using the build in file upload functionality and overriding an image, the image gets uploaded, but the width and height in sys_file
does not get set properly which leads to that the Frontend uses the old dimensions... :-(

Related issues:
related to Core - Bug # 44105: Image size does not get updated Closed 2012-12-19
related to Core - Bug # 50392: Specifying size in ImageViewHelper does nothing Closed 2013-07-24
related to Core - Bug # 62400: Lot of entries in sys_file_processed with name... Rejected 2014-10-22
related to Core - Bug # 59216: Image dimensions (width/height) are 0 when not... Closed 2014-05-30
related to Core - Bug # 61181: FAL: file maxW and maxH are ignored Rejected 2014-08-25

History
#1 - 2013-10-11 12:38 - Stefan Neufeind

Could it be you're experiencing problems with different storages being used? We once had a case where the image was updated by upload through
the filelist (using auto-created storage 1). But the page-template was using the image via regular paths without specifying a FAL-storage (and thus
using the legacy-storage 0). In our case the dimensions were updated correctly in storage 1. This was part of what the patch for "always finding the
best-matching storage" (#45498) was planned to address.

Please have a look in the database for your file and what storages/dimensions are listed there.

#2 - 2013-10-17 09:25 - Claus Harup

That is exactly my case!!
Im using an image path in my TypoScript.....

#3 - 2013-10-17 19:11 - Stefan Neufeind

Which version are you using? 6.1.x? According to the dates it should already be part of 6.1.5 (released: 12.9.2013).
https://review.typo3.org/#/c/23560/ (merged for 6.1-branch: 8.9.2013)

#4 - 2013-10-17 21:48 - Claus Harup

Im using 6.1.5..... - what should I look for?
#5 - 2013-11-28 13:47 - Markus Klein

Claus, what are the paths where the images are stored in?

#6 - 2013-11-30 16:30 - Steffen Ritter
- Status changed from New to Needs Feedback

This is a known issue we most probably won't fix in the 6.0 and 6.1 branches - we recommend upgrading to 6.2 as soon as possible.

#7 - 2013-11-30 16:49 - Steffen Ritter
- Target version deleted (next-patchlevel)

#8 - 2014-03-17 19:59 - Steffen Ritter
- Status changed from Needs Feedback to Rejected
